"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnconfiguredGlobalConstantsProviderError = exports.GlobalConstantNotFound = void 0;
/**
 *  @category Error
 *  @description Error that indicates that a global constant does not exist
 */
class GlobalConstantNotFound extends Error {
    constructor(hash) {
        super(`Please load the value associated with the constant ${hash} using the loadGlobalConstant method of the DefaultGlobalConstantsProvider.`);
        this.hash = hash;
        this.name = 'GlobalConstantNotFound';
    }
}
exports.GlobalConstantNotFound = GlobalConstantNotFound;
/**
 *  @category Error
 *  @description Error that indicates the global constant provider not being configured under TezosToolkit
 */
class UnconfiguredGlobalConstantsProviderError extends Error {
    constructor() {
        super('No global constants provider has been configured. Please configure one by calling setGlobalConstantsProvider({globalConstantsProvider}) on your TezosToolkit instance.');
        this.name = 'UnconfiguredGlobalConstantsProviderError';
    }
}
exports.UnconfiguredGlobalConstantsProviderError = UnconfiguredGlobalConstantsProviderError;
//# sourceMappingURL=error.js.map