import { OperationContentsAndResult } from '@taquito/rpc';
import { Context } from '../context';
import { Operation } from './operations';
import { FeeConsumingOperation, ForgedBytes, GasConsumingOperation, RPCIncreasePaidStorageOperation, StorageConsumingOperation } from './types';
/**
 *
 * @description IncreasePaidStorageOperation provides utility functions to fetch a new operation of kind increase_paid_storage
 *
 */
export declare class IncreasePaidStorageOperation extends Operation implements GasConsumingOperation, StorageConsumingOperation, FeeConsumingOperation {
    private readonly params;
    readonly source: string;
    constructor(hash: string, params: RPCIncreasePaidStorageOperation, source: string, raw: ForgedBytes, results: OperationContentsAndResult[], context: Context);
    get operationResults(): import("@taquito/rpc").OperationResultIncreasePaidStorage | undefined;
    get status(): "applied" | "failed" | "skipped" | "backtracked" | "unknown";
    get fee(): number;
    get gasLimit(): number;
    get storageLimit(): number;
    get errors(): import("@taquito/rpc").TezosGenericOperationError[] | undefined;
    get consumedMilliGas(): string | undefined;
    get amount(): number;
    get destination(): string;
}
