import { OperationContentsAndResult } from '@taquito/rpc';
import { Context } from '../context';
import { Operation } from './operations';
import { FeeConsumingOperation, ForgedBytes, GasConsumingOperation, RPCUpdateConsensusKeyOperation, StorageConsumingOperation } from './types';
/**
 *
 * @description UpdateConsensusKeyOperation provides utility to fetch properties for Operation of kind UpdateConsensusKey
 *
 */
export declare class UpdateConsensusKeyOperation extends Operation implements GasConsumingOperation, StorageConsumingOperation, FeeConsumingOperation {
    private readonly params;
    readonly source: string;
    constructor(hash: string, params: RPCUpdateConsensusKeyOperation, source: string, raw: ForgedBytes, results: OperationContentsAndResult[], context: Context);
    get operationResults(): import("@taquito/rpc").OperationResultUpdateConsensusKey | undefined;
    get status(): "applied" | "failed" | "skipped" | "backtracked" | "unknown";
    get fee(): number;
    get gasLimit(): number;
    get storageLimit(): number;
    get pk(): string;
    get consumedMilliGas(): string | undefined;
    get errors(): import("@taquito/rpc").TezosGenericOperationError[] | undefined;
}
