import { Context } from '../context';
import { OpKind } from '../operations/types';
import { WalletDelegateParams, WalletOriginateParams, WalletProvider, WalletTransferParams } from './interface';
import { WalletParamsWithKind } from './wallet';
export declare class LegacyWalletProvider implements WalletProvider {
    private context;
    constructor(context: Context);
    getPKH(): Promise<string>;
    mapTransferParamsToWalletParams(params: () => Promise<WalletTransferParams>): Promise<import("../operations/types").withKind<Pick<import("../operations/types").TransferParams, "to" | "amount" | "fee" | "parameter" | "gasLimit" | "storageLimit" | "mutez">, OpKind.TRANSACTION>>;
    mapOriginateParamsToWalletParams(params: () => Promise<WalletOriginateParams>): Promise<import("../operations/types").withKind<Pick<import("../operations/types").OriginateParams<any>, "fee" | "gasLimit" | "storageLimit" | "mutez" | "balance" | "code" | "delegate" | "init" | "storage">, OpKind.ORIGINATION>>;
    mapDelegateParamsToWalletParams(params: () => Promise<WalletDelegateParams>): Promise<import("../operations/types").withKind<Pick<import("../operations/types").DelegateParams, "fee" | "gasLimit" | "storageLimit" | "delegate">, OpKind.DELEGATION>>;
    sendOperations(params: WalletParamsWithKind[]): Promise<string>;
}
